Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Utils::UUID_node Class Reference

Class to hold a MAC address. More...

`#include <UUID.h>`

List of all members.

## Public Types
typedef u_char | NodeID [NODE_ID_SIZE]
enum | { NODE_ID_SIZE = 6 }
## Public Methods
| UUID_node (void)
| Constructor.
NodeID & | nodeID (void)
void | nodeID (NodeID &)
## Private Attributes
NodeID | nodeID_

## Detailed Description

Class to hold a MAC address.

## Member Typedef Documentation

typedef u_char ACE_Utils::UUID_node::NodeID[NODE_ID_SIZE]

## Member Enumeration Documentation

anonymous enum

  | Enumeration values:
  NODE_ID_SIZE |

## Constructor & Destructor Documentation

ACE_Utils::UUID_node::UUID_node | ( | void |  | ) |

| Constructor.

## Member Function Documentation

void ACE_Utils::UUID_node::nodeID | ( | NodeID & |  | ) |

UUID_node::NodeID & ACE_Utils::UUID_node::nodeID | ( | void |  | ) |

## Member Data Documentation

NodeID ACE_Utils::UUID_node::nodeID_`[private]`

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/UUID.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/UUID.cpp